View Issue Details

IDProjectCategoryView StatusLast Update
13623Bug reports[All Projects] Theme editorpublic2018-05-25 11:30
ReporterDenisChenuAssigned ToLouisGac 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.7.x 
Target VersionFixed in Version 
Summary13623: Unable to update config of default theme
Description

If a theme is default : we can't update config, name for example. Even with FTP access

Steps To Reproduce

Copy a template
Make some update
Set it as default
See the name : think it's best to update to "My theme"
Go to FTP : update to "My theme"
Get back and search how to update name

Additional Information

Real situation are:

  1. First theme created by client from vanilla
  2. Set it to more than 50 questionnaire
  3. Set it as default
  4. Think it's best to use Fruity to have theme color
  5. Search how to …
  6. Trying via GUI : no way to change extend + name
  7. Uploading new : broken (not a zip file …)
  8. Upload via FTP with new name, and install : no way to update all 50
  9. Upload via FTP and replace file : no update (even after reset assets …)
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.7.0
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Operating System (Server)not relevant
Webserver software & versionnot relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2018-04-23 10:28

developer   ~47488

A solution can be : have a 'empty (leave default)' theme option for Survey. Then : we can easily update and set default to any template globally

LouisGac

LouisGac

2018-05-16 13:03

manager   ~47634

I'm not sure to understand what you're trying to do in the real situation....
about changing config.xml: you should uninstall and reinstall the theme after you changed it.

DenisChenu

DenisChenu

2018-05-18 09:45

developer   ~47672

Last edited: 2018-05-18 09:50

View 2 revisions

I can not uninstall global default template …
Survey use default template broke if i do it …

We need a 'reset' without uninstal …

The real situation is :

  • 50 survey using "template_based_on_vanilla" (it's global default, in fact : only one used) with (for example) custom.css+js + 3 twig file + some picture
  • Need to extend Fruity and not Vanilla

Actual solution are:

  • Make a new "template_based_on_fruity"
  • Apply same fix from "template_based_on_vanilla"
  • Update Global default to "template_based_on_fruity"
  • Look at 50 surveys, edit and set it to "template_based_on_fruity"

When i have the situation : i really think i can update "template_based_on_vanilla" and it can be applied to whole 50 surveys : but no, it don't work.

Have a "empty" template are maybe more another feature (a good one)

LouisGac

LouisGac

2018-05-18 10:17

manager   ~47678

"We need a 'reset' without uninstal …"

yep ok, it's doable.

LouisGac

LouisGac

2018-05-22 18:05

manager   ~47711

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27200

c_schmitz

c_schmitz

2018-05-25 11:30

administrator   ~47821

Version 3.8.1+180524 released

Related Changesets

LimeSurvey: master 23eaf7e0

2018-05-22 18:05:00

LouisGac

Details Diff
Fixed issue 13623: Unable to update config of default theme
mod - application/controllers/admin/themeoptions.php Diff File
mod - application/models/TemplateConfiguration.php Diff File

Issue History

Date Modified Username Field Change
2018-04-23 10:23 DenisChenu New Issue
2018-04-23 10:28 DenisChenu Note Added: 47488
2018-05-16 13:03 LouisGac Note Added: 47634
2018-05-18 09:45 DenisChenu Note Added: 47672
2018-05-18 09:50 DenisChenu Note Edited: 47672 View Revisions
2018-05-18 10:17 LouisGac Note Added: 47678
2018-05-22 16:40 LouisGac Sticky Issue No => Yes
2018-05-22 18:05 LouisGac Changeset attached => LimeSurvey master 23eaf7e0
2018-05-22 18:05 LouisGac Note Added: 47711
2018-05-22 18:05 LouisGac Assigned To => LouisGac
2018-05-22 18:05 LouisGac Resolution open => fixed
2018-05-22 18:06 LouisGac Status new => resolved
2018-05-22 18:18 LouisGac Sticky Issue Yes => No
2018-05-25 11:30 c_schmitz Note Added: 47821
2018-05-25 11:30 c_schmitz Status resolved => closed